Core features

## Modules

| Common functions
| Exponential functions
| Geometric functions
| Vector types
| Vector types with precision qualifiers
| Matrix types
| Matrix types with precision qualifiers
| Integer functions
| Matrix functions
| Floating-Point Pack and Unpack Functions
| Angle and Trigonometry Functions
| Vector Relational Functions

## Typedefs

typedef mat< 3, 2, float, defaultp > | mat3x2

## Detailed Description

Features that implement in C++ the GLSL specification as closely as possible.

The GLM core consists of C++ types that mirror GLSL types and C++ functions that mirror the GLSL functions.

The best documentation for GLM Core is the current GLSL specification, version 4.2 (pdf file).

GLM core functionalities require <glm/glm.hpp> to be included to be used.

## Typedef Documentation

## mat3x2

typedef mat< 3, 2, f32, defaultp > mat3x2

3 columns of 2 components matrix of single-precision floating-point numbers.

See also
  GLSL 4.20.8 specification, section 4.1.6 Matrices

Definition at line 15 of file matrix_float3x2.hpp.